summaryrefslogtreecommitdiff
path: root/alpine/world.sh
diff options
context:
space:
mode:
Diffstat (limited to 'alpine/world.sh')
-rwxr-xr-xalpine/world.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/alpine/world.sh b/alpine/world.sh
new file mode 100755
index 0000000..b942ca0
--- /dev/null
+++ b/alpine/world.sh
@@ -0,0 +1,39 @@
+#!/bin/sh
+#
+# Copyright (C) 2025-2026 Maria Lisina
+# SPDX-License-Identifier: Apache-2.0
+#
+# APK world setup script
+
+set -e
+
+__world="
+ alpine-sdk
+ curl
+ dosfstools
+ e2fsprogs
+ efibootmgr
+ fastfetch
+ git
+ jq
+ lang
+ linux-virt
+ nano
+ nano-syntax
+ openssh
+ recode
+ telegram-bot-api
+ tzdata
+ util-linux
+ zsh
+ zsh-completions
+"
+
+cat << EOF > /etc/apk/repositories
+https://dl-cdn.alpinelinux.org/alpine/v3.23/main
+https://dl-cdn.alpinelinux.org/alpine/v3.23/community
+https://dl-cdn.alpinelinux.org/alpine/edge/testing
+EOF
+
+apk update
+apk add ${__world}